.toolbar-btn, .toolbar-span-a {
    border-radius: var(--small-border-radius);
}

button, input:is([type=number], [type=text], [type=submit], [type=button]), select, textarea, .substring-searchable-select-wrapper {
    border-radius: var(--small-border-radius);
    padding-left: var(--small-border-radius-padding);
    padding-right: var(--small-border-radius-padding);
}

textarea {
    border-radius: var(--small-border-radius) var(--small-border-radius) 0 var(--small-border-radius);
}

.hia-button {
    transition: all 0.1s ease;
    font-size: var(--f14);
    line-height: 24px;
    outline-width: 0;
    outline-style: solid;
    border-radius: var(--small-border-radius);
    padding: 0 var(--small-border-radius-padding);
}

.hia-button.hia-important-button:not([disabled]) {
    outline-width: 1px;
}


.hia-buttons-container {
    display: flex;
    gap: var(--small-gap);
    align-items: center;
}

.hia-buttons-container-right {
    margin-left: auto;
    justify-content: right;
}

.hia-buttons-container-left {
    justify-content: left;
    margin-right: auto;
}

.hia-buttons-container:has(> .hia-important-button) > .hia-button { /* if one is important, they all are, otherwise looks inconsistent */
    outline-width: 1px;
}

.hia-button:not([disabled]):hover {
    outline-width: 3px;
    outline-offset: -1px; /* some annoying gap in rendering, this causes outline to overlap the border/body a bit */
    cursor: pointer;
}

.hia-button:not([disabled]):hover.hia-primary-button {
    background-color: var(--primary-hover-color);
    border-color: var(--primary-hover-color);
    outline-color: var(--primary-hover-color);
}

.hia-button:not([disabled]):hover.hia-secondary-button {
    color: var(--primary-hover-color);
    border-color: var(--primary-hover-color);
    outline-color: var(--primary-hover-color);
}

.hia-button:not([disabled]):hover.hia-delete-button {
    border-color: var(--delete-button-color);
    outline-color: var(--delete-button-color);
}

.hia-button[disabled] {
    cursor: not-allowed;
    color: var(--disabled-color);
    background-color: var(--disabled-background-color);
    border-color: var(--disabled-background-color);
    outline-color: var(--disabled-background-color);
}

.hia-primary-button {
    color: var(--primary-button-color);
    background-color: var(--primary-button-bg-color);
    border: 1px solid var(--primary-button-bg-color);
    outline-color: var(--primary-button-bg-color);
}

.hia-secondary-button, .hia-primary-button:where([disabled]) {
    color: var(--secondary-button-color);
    background-color: var(--secondary-button-bg-color);
    border: 1px solid var(--secondary-button-color);
    outline-color: var(--secondary-button-color);
}

.hia-secondary-button.hia-delete-button {
    color: var(--delete-button-color);
    border-color: var(--delete-button-color);
    outline-color: var(--delete-button-color);
}

.hia-primary-button.hia-delete-button {
    background-color: var(--delete-button-color);
    border-color: var(--delete-button-color);
    outline-color: var(--delete-button-color);
}

.hia-delete-button .material-icons-outlined {
    color: var(--delete-button-color);
}

.hia-primary-button.toolbar-span-a > a,
.hia-primary-button.toolbar-btn > a {
    color: var(--primary-button-color);
    background-color: var(--primary-button-bg-color);
}

.hia-secondary-button.toolbar-span-a > a,
.hia-secondary-button.toolbar-btn > a {
    color: var(--secondary-button-color);
    background-color: var(--secondary-button-bg-color);
}

.toolbar-menu-item .hia-secondary-button {
    background: white;
}

.toolbar-menu-item .toolbar-span-a {
    border-radius: 0;
}

.toolbar-menu-item:first-child .toolbar-span-a {
    border-radius: var(--small-border-radius) var(--small-border-radius) 0 0;
}

.toolbar-menu-item:last-child .toolbar-span-a {
    border-radius: 0 0 var(--small-border-radius) var(--small-border-radius);
}